<?php
/**
 * PurchaseProductsInnerTest
 *
 * PHP version 7.4
 *
 * @category Class
 * @package  MawisApiClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Synchronizace údajů z Mawis.eu do endpointů (WebApi)
 *
 * **Popis api pro synchronizaci** dat z Wordpress (*Mawis.eu*) na jednotlivé endpointy (*UR/MWP*) na které se budou odesílat data o **registrovaných a upravených uživatelích a provedených nákupech**. Adresy endpointů se nastavují v konfiguraci WordPress, viz administrační příručka.
 *
 * The version of the OpenAPI document: 1.0
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 6.4.0
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace MawisApiClient\Test\Model;

use PHPUnit\Framework\TestCase;

/**
 * PurchaseProductsInnerTest Class Doc Comment
 *
 * @category    Class
 * @description PurchaseProductsInner
 * @package     MawisApiClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class PurchaseProductsInnerTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass(): void
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp(): void
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown(): void
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass(): void
    {
    }

    /**
     * Test "PurchaseProductsInner"
     */
    public function testPurchaseProductsInner()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test attribute "name"
     */
    public function testPropertyName()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test attribute "typelicence"
     */
    public function testPropertyTypelicence()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test attribute "role_id"
     */
    public function testPropertyRoleId()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test attribute "number"
     */
    public function testPropertyNumber()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test attribute "date_from"
     */
    public function testPropertyDateFrom()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test attribute "date_to"
     */
    public function testPropertyDateTo()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test attribute "nummonth"
     */
    public function testPropertyNummonth()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test attribute "numitems"
     */
    public function testPropertyNumitems()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test attribute "autupd"
     */
    public function testPropertyAutupd()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test attribute "datupd"
     */
    public function testPropertyDatupd()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test attribute "country_id"
     */
    public function testPropertyCountryId()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test attribute "codes"
     */
    public function testPropertyCodes()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }
}
